> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Krea 2 Turbo 画像生成

> - Krea 2 Turbo は超高速なテキストから画像生成モデルで、高精細で映画のような質感の画面を出力できます
- テキストから画像生成のみに対応し、参照画像には対応していません
- 非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)
- 生成された画像リンクは24時間有効です、お早めに保存してください



## OpenAPI

````yaml ja/api-manual/image-series/krea/krea-2-turbo-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: krea-2-turbo インターフェース
  description: AIモデルを使用して画像タスクを作成、複数のモデルとパラメータ設定に対応
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 画像生成
    description: AI画像生成関連API
paths:
  /v1/images/generations:
    post:
      tags:
        - 画像生成
      summary: krea-2-turbo インターフェース
      description: >-
        - Krea 2 Turbo は超高速なテキストから画像生成モデルで、高精細で映画のような質感の画面を出力できます

        - テキストから画像生成のみに対応し、参照画像には対応していません

        -
        非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)

        - 生成された画像リンクは24時間有効です、お早めに保存してください
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              text_to_image:
                summary: テキストから画像
                value:
                  model: krea-2-turbo
                  prompt: >-
                    A cinematic product poster, silver headphones floating
                    against a deep matte-black backdrop with soft rim lighting
                  size: '16:9'
                  quality: 1K
      responses:
        '200':
          description: 画像生成タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: krea-2-turbo'
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 画像生成モデル名
          enum:
            - krea-2-turbo
          default: krea-2-turbo
          example: krea-2-turbo
        prompt:
          type: string
          description: プロンプト、生成したい画像を説明します。英語での表現が最も効果的で、長さは最大 `640` tokens です
          example: >-
            A cinematic product poster, silver headphones floating against a
            deep matte-black backdrop with soft rim lighting
        size:
          type: string
          description: >-
            生成画像のアスペクト比、指定しない場合はデフォルトで `1:1`。実際の出力ピクセルは `size` と `quality`
            の組み合わせで決まります。


            **対応する比率（全 11 種類）：**
            `1:1`、`4:3`、`3:4`、`5:4`、`4:5`、`2:3`、`3:2`、`9:16`、`16:9`、`1:2`、`2:1`


            **出力ピクセル対照（`size` × `quality`）：**


            | 比率 | `1K` | `2K` |

            |---|---|---|

            | `1:1` | 1024×1024 | 2048×2048 |

            | `4:3` | 1152×896 | 2304×1728 |

            | `3:4` | 896×1152 | 1728×2304 |

            | `5:4` | 1152×896 | 2240×1792 |

            | `4:5` | 896×1152 | 1792×2240 |

            | `2:3` | 832×1280 | 1664×2496 |

            | `3:2` | 1280×832 | 2496×1664 |

            | `9:16` | 768×1344 | 1472×2688 |

            | `16:9` | 1344×768 | 2688×1472 |

            | `1:2` | 704×1472 | 1408×2816 |

            | `2:1` | 1472×704 | 2816×1408 |
          enum:
            - '1:1'
            - '4:3'
            - '3:4'
            - '5:4'
            - '4:5'
            - '2:3'
            - '3:2'
            - '9:16'
            - '16:9'
            - '1:2'
            - '2:1'
          default: '1:1'
          example: '16:9'
        quality:
          type: string
          description: >-
            出力解像度のレベル `1K` / `2K`、指定しない場合はデフォルトで `1K`。`2K` は `1K`
            よりも高解像度の画像を出力します。レベルによって課金が異なります、詳細は料金ページをご覧ください
          enum:
            - 1K
            - 2K
          default: 1K
          example: 1K
        seed:
          type: integer
          description: |-
            類似した構図を生成するためのランダムシード

            **注意：**
            - 範囲：`0` から `1048576`
            - `0` または空欄の場合はランダムシードを使用します
            - 同じシードと同じプロンプトを使用すると、同じ構図を再現できる場合があります
          minimum: 0
          maximum: 1048576
          example: 12345
        nsfw_check:
          type: boolean
          description: |-
            追加のNSFWコンテンツモデレーションを有効化

            **注意：**
            - デフォルト：`false`（無効）
            - 無効時でも基本的なコンテンツモデレーションは常に有効
            - より厳格なコンテンツフィルタリングには有効化してください
          default: false
          example: false
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバックアドレス


            **コールバックタイミング：**

            - タスクが完了、失敗、またはキャンセルされた時にトリガーされます

            - 課金確認完了後に送信されます


            **セキュリティ制限：**

            - HTTPS プロトコルのみサポート

            - 内部 IP アドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックメカニズム：**

            - タイムアウト：`10` 秒

            - 失敗時最大 `3` 回リトライ（`1` 秒/`2` 秒/`4` 秒後にリトライ）

            - コールバックレスポンスボディの形式はタスククエリ API のレスポンス形式と一致

            - コールバックアドレスが 2xx ステータスコードを返した場合は成功とみなされ、その他のステータスコードはリトライをトリガーします
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1751280000
        id:
          type: string
          description: タスク ID
          example: task-unified-1751280000-k2t9x8a3
        model:
          type: string
          description: 使用された実際のモデル名
          example: krea-2-turbo
        object:
          type: string
          enum:
            - image.generation.task
          description: タスクの具体的なタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 非同期タスク情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスクの出力タイプ
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか、krea-2-turbo は常に `false` です
          example: false
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 45
    Usage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 0.05
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````